AntiFeatures:
  - NonFreeAdd
Categories:
  - Internet
License: GPL-3.0-or-later
SourceCode: https://notabug.org/Tobiwan/ffupdater
IssueTracker: https://notabug.org/Tobiwan/ffupdater/issues
Changelog: https://notabug.org/Tobiwan/ffupdater/src/master/CHANGELOG.md

AutoName: FFUpdater

RepoType: git
Repo: https://notabug.org/Tobiwan/ffupdater.git

Builds:
  - versionName: '39.0'
    versionCode: 1
    commit: '39.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '39.0'
    versionCode: 2
    commit: e0121a69988aa67993c1bf0f099eac4535b4818b
    subdir: ffupdater
    gradle:
      - yes

  - versionName: 40.0-test
    versionCode: 3
    commit: 9678242e49ac810974a5fd69aa46227eca3b7952
    subdir: ffupdater
    gradle:
      - yes
    forceversion: true

  - versionName: '40.0'
    versionCode: 4
    commit: '40.0'
    subdir: ffupdater
    gradle:
      - yes
    forceversion: true

  - versionName: 40.0.3
    versionCode: 5
    commit: 40.0.3
    subdir: ffupdater
    gradle:
      - yes
    forceversion: true

  - versionName: '41.0'
    versionCode: 6
    commit: '41.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '42.0'
    versionCode: 7
    commit: '42.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: 42.0.1
    versionCode: 8
    commit: 42.0.1
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '43.0'
    versionCode: 10
    commit: '43.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '43.0'
    versionCode: 11
    commit: 4329cd723dd0c7ff5d25570e6d5ecd8c66abdc8f
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '44.0'
    versionCode: 12
    commit: '44.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '45.0'
    versionCode: 13
    commit: '45.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: 45.0a
    versionCode: 14
    commit: 45.0a
    subdir: ffupdater
    gradle:
      - yes

  - versionName: 45.0.1
    versionCode: 15
    commit: 45.0.1
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '46.0'
    versionCode: 16
    commit: '46.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: git
    versionCode: 17
    commit: '46.0'
    subdir: ffupdater
    gradle:
      - yes
    forceversion: true
    forcevercode: true

  - versionName: '51.0'
    versionCode: 18
    commit: '51.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '52.0'
    versionCode: 19
    commit: '51.0'
    subdir: ffupdater
    gradle:
      - yes
    forceversion: true
    forcevercode: true

  - versionName: '53.0'
    versionCode: 20
    commit: '53.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '54.0'
    versionCode: 21
    commit: '54.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '57.0'
    versionCode: 22
    commit: '57.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '66.1'
    versionCode: 25
    commit: '66.1'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '66.2'
    versionCode: 26
    commit: '66.2'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '67.4'
    versionCode: 31
    commit: '67.4'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '68.0'
    versionCode: 32
    commit: '68.0'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: '68.2'
    versionCode: 34
    commit: '68.2'
    subdir: ffupdater
    gradle:
      - yes

  - versionName: 68.3.7
    versionCode: 42
    commit: 68.3.7
    subdir: ffupdater
    gradle:
      - yes

  - versionName: 68.4.1
    versionCode: 47
    commit: 68.4.1
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e 's/6.5-milestone-1/6.5/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 69.0.0
    versionCode: 48
    commit: 69.0.0
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e 's/6.5-milestone-1/6.5/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 69.0.2
    versionCode: 50
    commit: 69.0.2
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e 's/6.5-milestone-1/6.5/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 69.0.3
    versionCode: 51
    commit: 69.0.3
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e 's/6.5-milestone-1/6.5/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 69.0.4
    versionCode: 52
    commit: 69.0.4
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e 's/6.5-milestone-1/6.5/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 69.0.5
    versionCode: 53
    commit: 69.0.5
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e 's/6.5-milestone-1/6.5/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 70.0.0
    versionCode: 54
    commit: 70.0.0
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 70.0.1
    versionCode: 55
    commit: 70.0.1
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 71.0.0
    versionCode: 56
    commit: 71.0.0
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 71.0.1
    versionCode: 57
    commit: 71.0.1
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 71.0.2
    versionCode: 58
    commit: 71.0.2
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 71.0.3
    versionCode: 59
    commit: 71.0.3
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 72.0.0
    versionCode: 60
    commit: 72.0.0
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 72.1.0
    versionCode: 61
    commit: 72.1.0
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 72.1.1
    versionCode: 62
    commit: 73.0.0
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 73.0.1
    versionCode: 63
    commit: 73.0.1
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 73.1.0
    versionCode: 64
    commit: 73.1.0
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 73.1.1
    versionCode: 65
    commit: 73.1.1
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 73.1.2
    versionCode: 66
    commit: 73.1.2
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 73.1.3
    versionCode: 67
    commit: 73.1.3
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 74.0.0
    versionCode: 69
    commit: 74.0.0
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 74.1.0
    versionCode: 70
    commit: 74.1.0
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 74.1.1
    versionCode: 71
    commit: 74.1.1
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 74.2.0
    versionCode: 72
    commit: dd0b9a97538a9d2c2e4adf8e7b901972fb82bd0f
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 74.3.0
    versionCode: 73
    commit: 77f6bb2894dab9bd5d23503dc6ef2a45ac84e701
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 74.3.1
    versionCode: 74
    commit: 6f7ee8bdf440fd15dc594e78487d1e22e6e85f05
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 74.3.2
    versionCode: 75
    commit: 55c16c7f0ceea5ff8d14e796bda3052efdf17d3d
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 74.3.3
    versionCode: 76
    commit: e6f284733eac80a9505e4ee29b2f5865ccf42348
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 74.3.4
    versionCode: 77
    commit: b8028b62996a5f142f6aa0ae5bb0684e9f4fc88c
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 74.3.5
    versionCode: 78
    commit: 8721042c3a6200f41ba4a3ea4444b6404c1946fb
    subdir: ffupdater
    gradle:
      - yes
    prebuild: sed -i -e "s!{ 'https://jitpack.io' }!'https://jitpack.io'!" ../build.gradle

  - versionName: 74.4.0
    versionCode: 79
    commit: 7ca50d2e766fb5dc6455107ab25b3dcdf65fa7fe
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 74.4.1
    versionCode: 80
    commit: a6ad96330eede0e506ed7be5a761fdec49c46f18
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 74.4.3
    versionCode: 82
    commit: c2292227aab15630e2034d947e20f962b1b762be
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 74.4.5
    versionCode: 84
    commit: 485c219ec889fc9c390b488aeabd219f5250ba03
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 74.4.6
    versionCode: 85
    commit: 73c72bcfcc4ca1e62bebf08d92c742746ba07e85
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 74.4.7
    versionCode: 86
    commit: 6addb52ee0e5ab297e082c64a420caf7d4bc009f
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 74.5.0
    versionCode: 87
    commit: fc5170c39f9208a67336d827331ef9b44331d661
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 74.5.1
    versionCode: 88
    commit: fae35a4a35f3ce25ab4f50a422dbdb7c2d3c3c2a
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 74.5.2
    versionCode: 89
    commit: f732648695a141ad427e1d86d9bb6de0966bcb1a
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 74.5.3
    versionCode: 90
    commit: 0a8fcb030a1e04b76e5c7ccbdac2a6f0eb6e7bb4
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 75.0.0
    versionCode: 91
    commit: 9c57f2b3989d8a668058c2354b0fd2448ad65dbf
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 75.0.1
    versionCode: 92
    commit: e1b36200f2423cb8be37f33fc2bffe2f07005a75
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 75.0.2
    versionCode: 93
    commit: e6f2dd2ed3331d2d7b896feb95e994503d081216
    subdir: ffupdater
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 75.0.2
CurrentVersionCode: 93
